# Interface JvmTestSuiteBinarySpec.JvmTestSuiteTasks

All Superinterfaces:
  `BinaryTasksCollection, Collection<Task>, DomainObjectCollection<Task>, DomainObjectSet<Task>, Iterable<Task>, Set<Task>, TestSuiteTaskCollection`

Enclosing interface:
  `JvmTestSuiteBinarySpec`

public static interface JvmTestSuiteBinarySpec.JvmTestSuiteTasks extends TestSuiteTaskCollection
Provides direct access to important build tasks of JVM test suites.

Since:
  2.11

## Method Summary

Modifier and Type
Method
Description
`Test`
`getRun()`
The run task.

### Methods inherited from interface BinaryTasksCollection

`create, getBuild, getCheck, taskName, taskName`

### Methods inherited from interface Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface DomainObjectCollection

`all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

### Methods inherited from interface DomainObjectSet

`findAll, matching, matching, withType`

### Methods inherited from interface Iterable

`forEach`

### Methods inherited from interface Set

`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

## Method Details

### getRun

Test getRun()
Description copied from interface: `TestSuiteTaskCollection`
The run task.

Specified by:
  `getRun` in interface `TestSuiteTaskCollection`